Subject: bug#70697: 30.0.50; Frame parameter alpha-background is ignored for fringe bitmaps & internal borders

From: Aleksandar Dimitrov <[email-masked]>
Date: Mon, 08 Jul 2024 19:08:53 +0200

Hi Eli, Po Lu,

sorry for taking a while to get back to you, I've had a busy week or
two.

I've tried out Po Lu's patch. Now:

- the bug with the fringe is fixed in both pgtk and gtk3
- insets are not opaque anymore in pgtk
- insets are *black* and opaque with the minimal repro I posted in the beginning of
  this thread --with-pgtk
- insets are *white* and opaque --with-x-toolkit=gtk3 (again with the minimal repro)

I'm not sure why that is, or whether that's a problem.

>> Alexander, is there something suspicious as to your mail host that is
>> prompting mine to discard your responses?  They aren't even classified
>> Bulk Mail, just quietly disposed of.

Dunno, maybe your mail host doesn't like Emacs from Eastern Europe? I've
not had that problem anywhere else. My mail provider is actually
Australian, though. Only the domain is .bg

Thanks for all your work!

Aleks